<?php

require_once 'Kumulos.php';

// Viewing a user
if (isset($_GET['username'])) {
    // Call Kumulos
    try {
        // Get the user by username with mugshot
        $users = Kumulos::api()->call('getUserWithMugshot', array(
            'username' => $_GET['username']
        ));
    }
    // Handle errors
    catch (kAPIException $e) {
        die($e->getMessage());
    }
}

?>

<!DOCTYPE html>
<html>
    <head>
        <title>MugShot - Kumulos PHP Tutorial</title>
        <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    </head>
    
    <body>
        <h1>MugShot</h1>
        <?php
        // Loop through the results array (although there should only be one result in it)
        foreach ($users as $user):
        ?>
        <h3>User: <?php echo $user->username; ?></h3>
        <img src="data:image/png;base64,<?php echo $user->mugShot->imageData; ?>" alt="User Mugshot" />
        <?php endforeach; ?>
    </body>
</html>